import request from '@/utils/request'

// 查询省份信息列表
export function listProvince(query) {
  return request({
    url: '/system/province/list',
    method: 'get',
    params: query
  })
}

// 查询省份信息列表
export function fetchProvinceTree(query) {
  return request({
    url: '/system/province/tree/list',
    method: 'get',
    params: query
  })
}

// 查询省份信息详细
export function getProvince(id) {
  return request({
    url: '/system/province/' + id,
    method: 'get'
  })
}
